/*
 * OrthogonalSummationUnitTest.hpp
 *
 *  Created on: Jun 26, 2012
 *      Author: heber
 */

#ifndef ORTHOGONALSUMMATIONUNITTEST_HPP_
#define ORTHOGONALSUMMATIONUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

#include "Fragmentation/Summation/IndexSetContainer.hpp"
#include "Fragmentation/Summation/SubsetMap.hpp"


/********************************************** Test classes **************************************/

class OrthogonalSummationTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( OrthogonalSummationTest) ;
    CPPUNIT_TEST ( operator_staticTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void operator_staticTest();

private:
      SubsetMap::ptr subsetmap;
      IndexSetContainer::ptr container;
};

#endif /* ORTHOGONALSUMMATIONUNITTEST_HPP_ */
